This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 866558 - [abrt] SIGSEGV with NULL avc at "sepol_policydb_free(avc->policydb)" in audit2why.c:finish
[abrt] SIGSEGV with NULL avc at "sepol_policydb_free(avc->policydb)" in audit...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
abrt_hash:7a57d9b2652a9fe09efe4655455...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 11:47 EDT by rtrcwby
Modified: 2013-08-01 14:42 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:42:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: core_backtrace (938 bytes, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: environ (2.76 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: backtrace (30.05 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: cgroup (129 bytes, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: smolt_data (2.92 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: maps (22.23 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: dso_list (5.03 KB, text/plain)
2012-10-15 11:47 EDT, rtrcwby
no flags Details
File: build_ids (2.08 KB, text/plain)
2012-10-15 11:48 EDT, rtrcwby
no flags Details
File: var_log_messages (157 bytes, text/plain)
2012-10-15 11:48 EDT, rtrcwby
no flags Details
File: open_fds (103 bytes, text/plain)
2012-10-15 11:48 EDT, rtrcwby
no flags Details

  None (edit)
Description rtrcwby 2012-10-15 11:47:44 EDT
Version-Release number of selected component:
python-2.7.3-6.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/bin/audit2allow -w
crash_function: finish
kernel:         3.3.4-5.fc17.x86_64

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 finish at audit2why.c
: #1 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #2 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #3 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #4 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #5 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #6 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #7 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c
: #9 fast_function at /usr/src/debug/Python-2.7.3/Python/ceval.c
Comment 1 rtrcwby 2012-10-15 11:47:47 EDT
Created attachment 627533 [details]
File: core_backtrace
Comment 2 rtrcwby 2012-10-15 11:47:49 EDT
Created attachment 627534 [details]
File: environ
Comment 3 rtrcwby 2012-10-15 11:47:51 EDT
Created attachment 627535 [details]
File: limits
Comment 4 rtrcwby 2012-10-15 11:47:53 EDT
Created attachment 627536 [details]
File: backtrace
Comment 5 rtrcwby 2012-10-15 11:47:54 EDT
Created attachment 627537 [details]
File: cgroup
Comment 6 rtrcwby 2012-10-15 11:47:56 EDT
Created attachment 627538 [details]
File: smolt_data
Comment 7 rtrcwby 2012-10-15 11:47:58 EDT
Created attachment 627539 [details]
File: maps
Comment 8 rtrcwby 2012-10-15 11:47:59 EDT
Created attachment 627540 [details]
File: dso_list
Comment 9 rtrcwby 2012-10-15 11:48:01 EDT
Created attachment 627541 [details]
File: build_ids
Comment 10 rtrcwby 2012-10-15 11:48:02 EDT
Created attachment 627542 [details]
File: var_log_messages
Comment 11 rtrcwby 2012-10-15 11:48:05 EDT
Created attachment 627543 [details]
File: open_fds
Comment 12 Dave Malcolm 2012-10-15 12:01:12 EDT
Thanks for filing this bug report.

What is the output of running:

  rpm -q policycoreutils policycoreutils-python


Looking at attachment 627536 [details] I see that a segmentation fault happened in:

#0  0x00007f20085723dc in finish (self=<optimized out>, args=<optimized out>) at audit2why.c:174
174			sepol_policydb_free(avc->policydb);


   0x00007f20085723d5 <+133>:	mov    0x228b9c(%rip),%rax        # 0x7f200879af78 <avc>
=> 0x00007f20085723dc <+140>:	mov    0x8(%rax),%rdi
   0x00007f20085723e0 <+144>:	callq  0x7f2008571880 <sepol_policydb_free@plt>

and that rax was 0.

Hence this looks like a NULL pointer dereference, with avc == NULL at 

  174			sepol_policydb_free(avc->policydb);

within audit2why.c

Reassigning component to policycoreutils
Comment 13 Daniel Walsh 2012-10-15 15:14:20 EDT
Could you attach the avc messages used to create this crash
Comment 14 Daniel Walsh 2012-10-15 15:28:51 EDT
Actually I see the problem.
Comment 15 Daniel Walsh 2012-10-16 13:16:18 EDT
Fixed in libselinux-2.1.10-5.fc17
Comment 16 Fedora End Of Life 2013-07-04 03:00:28 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-08-01 14:42:47 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.